#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'kualifikasi.pengiriman_kualifikasi'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'kualifikasi.home'}</a></li>
	<li class="active"><a href="@{lelang.LelangCtr.view(lelang?.lls_id)}">&{'kualifikasi.info_tender'}</a></li>
	<li class="active">&{'kualifikasi.kirim_data'}</li>
</ul>

<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bg-warning" width="150">&{'kualifikasi.kode_tender'}</th>
            <th width="260">${lelang.lls_id}</th>
            <td class="bg-warning" width="150">&{'kualifikasi.nilai_hps'}</td>
            <td>${lelang.paket?.pkt_hps?.rupiah()}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'kualifikasi.nama_paket'}</th>
            <td colspan="3">${lelang.paket?.pkt_nama} #{statusTender lelang/}
        </tr>
    </table>
<ul class="nav nav-tabs" role="tablist">
  <li class="active"><a href="#ijin" role="tab" data-toggle="tab">&{'kualifikasi.izin_usaha'}</a></li>
  <li><a href="#pajak" role="tab" data-toggle="tab">&{'kualifikasi.pajak'}</a></li>
  <li><a href="#bank" role="tab" data-toggle="tab">&{'kualifikasi.dukungan_bank'}</a></li>
  <li><a href="#akta" role="tab" data-toggle="tab">&{'kualifikasi.akta'}</a></li>
  <li><a href="#staf" role="tab" data-toggle="tab">&{'kualifikasi.tenaga_ahli'}</a></li>
  <li><a href="#pengalaman" role="tab" data-toggle="tab">&{'kualifikasi.pengalaman'}</a></li>
  <li><a href="#pekerjaan" role="tab" data-toggle="tab">&{'kualifikasi.pekerjaan_sedang_berjalan'}</a></li>
  <li><a href="#peralatan" role="tab" data-toggle="tab">&{'kualifikasi.peralatan'}</a></li>
  <li><a href="#lainnya" role="tab" data-toggle="tab">&{'kualifikasi.persyaratan_lainnya'}</a></li>
</ul>
#{form @lelang.KualifikasiCtr.simpan(peserta.psr_id), enctype:"multipart/form-data"}
<div class="content">
	#{alert /}
	<div class="tab-content">
	  <div class="tab-pane active" id="ijin">#{kirimKualifikasiIjin peserta /}</div>
	  <div class="tab-pane" id="pajak">#{kirimKualifikasiPajak peserta /}</div>
	  <div class="tab-pane" id="bank">
			<table class="table table-sm">
			<div class="alert alert-danger" id="msg-invalidDokBA">
				&{'kualifikasi.doc_pdf'}
</div>
			<tr>
			
				<th width="20%" class="bg-warning">&{'kualifikasi.nama_bank'}</th>
				<td><input type="text" name="dukunganBank.dkb_namabank" value="${dukunganBank?.dkb_namabank}" class="form-control"/></td>
			</tr>
			<tr>
				<th class="bg-warning">&{'kualifikasi.nomor_surat'}</th>
				<td><input type="text" name="dukunganBank.dkb_no" value="${dukunganBank?.dkb_no}" class="form-control"/></td>
			</tr>
			<tr>
				<th class="bg-warning">&{'kualifikasi.tanggal'}</th>
				<td><div class="input-group date width-normal">
				    	<input name="dukunganBank.dkb_tanggal" type="text" value="${dukunganBank?.dkb_tanggal?.toDatepicker()}" class="form-control" />
				        <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
				    </div></td>
			</tr>
			<tr>
				<th class="bg-warning">&{'kualifikasi.nilai'} (Rp)</th>
				<td><input type="text" name="dukunganBank.dkb_nilai" class="form-control money"
                           value="${dukunganBank?.dkb_nilai?.formatDouble()}" /></td>
			</tr>
			<tr>
				<th class="bg-warning">&{'kualifikasi.bukti_dukungan_bank'} <span class="warning">*</span></th>
				<td>
					#{if dukunganBank?.dokumen} <p>${dukunganBank?.dokumen?.fileName}</p> #{/if}
					<input type="file" name="fileDukungan" class="form-control" onchange="ValidateSingleInput(this);"/>
				</td>
			</tr>
			</table>
			<input type="hidden" name="dukunganBank.dkb_id" value="${dukunganBank?.dkb_id}"/>
			<button type="button" class="btn btn-default prev"> &laquo; &{'kualifikasi.sebelumnya'}</button>
			<button type="button" class="btn btn-default pull-right next">&{'kualifikasi.selanjutnya'} &raquo;</button>
			<div class=" clearfix"></div>
			<div class="bs-callout bs-callout-warning"><span class="warning">*</span> &{'kualifikasi.harap_upload'}.</div>
	  </div>
	  <div class="tab-pane" id="akta">#{kirimKualifikasiAkta peserta /}</div>
	  <div class="tab-pane" id="staf">#{kirimKualifikasiStafAhli peserta /}</div>
	  <div class="tab-pane" id="pengalaman">#{kirimKualifikasiPengalaman peserta /}</div>
	  <div class="tab-pane" id="pekerjaan">#{kirimKualifikasiPekerjaan peserta /}</div>
	  <div class="tab-pane" id="peralatan">#{kirimKualifikasiPeralatan peserta /}</div>
	  <div class="tab-pane" id="lainnya">
	  		<div class="form-group">
				    <label>&{'kualifikasi.doc_persyaratan'}</label>
					<div class="bs-callout bs-callout-warning">
						Bukan untuk menyampaikan bagian dari Dokumen Penawaran
					</div>
					<table class="table table-sm">
	                    <tr>
	                        <th width="20%" class="bg-warning">- &{'kualifikasi.doc_belum_terkirim'}</th>
	                        <td>
								<ul class="list-group files" id="files">
									#{list items:dok_lain_draft?.dokumenList, as:'blob'}
								  		<li class="list-group-item">#{download blob/}
								  			<a href="javascript:void(0)" class="removeDokDraft" versi="${blob?.blb_versi}"><i class="fa fa-trash-o"></i></a>
								   		</li>
									#{/list}
							  	</ul>
				  	    </td>
	                    </tr>
	                    <tr>
	                        <th width="20%" class="bg-warning">- &{'kualifikasi.doc_sudah_terkirim'}</th>
		                    <td>
							  	<ul class="list-group files" id="files_">
									#{list items:dok_lain?.dokumenList, as:'blob'}
								  		<li class="list-group-item">#{download blob/}
								  			<a href="javascript:void(0)" class="removeDok" versi="${blob?.blb_versi}"><i class="fa fa-trash-o"></i></a>
								   		</li>
									#{/list}
							  	</ul>
						   </td>
	                    </tr>
                		</table>
				</div>
				<div class="btn btn-success fileinput-button">
				    <i class="fa fa-plus-circle"></i>
				    <span>Upload</span>
				    <input id="fileupload" type="file" name="file">
				</div>
				<div id="progress" class="progress" style="display: none;">
				 <div class="progress-bar progress-bar-success"></div>				      
				</div>
				<div id="alert-upload" style="margin-top: 10px;"></div>
				<button type="button" class="btn btn-default prev"> &laquo; &{'kualifikasi.sebelumnya'}</button>
				#{if allow_kualifikasi}
				    <input type="submit" class="btn btn-success float-right" value="Kirim Data Kualifikasi"  />
				#{/if}
				#{else} 
					<div class="clearfix"></div>
				    <div class="alert alert-danger">&{'kualifikasi.waktu_habis'}</div>
				#{/else}
			</div>
	</div>
</div>
#{/form}
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
    $(document).ready(function () {
    	$("#msg-invalidDokBA").hide();
        new AutoNumeric('.money', {digitGroupSeparator: '.', decimalCharacter: ',', maximumValue: '9999999999999999.99'});
    });

    
    var _validFileExtensions = [".pdf"];    
    function ValidateSingleInput(oInput) {
        if (oInput.type == "file") {
            var sFileName = oInput.value;
             if (sFileName.length > 0) {
                var blnValid = false;
                for (var j = 0; j < _validFileExtensions.length; j++) {
                    var sCurExtension = _validFileExtensions[j];
                    if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) {
                    	$("#msg-invalidDokBA").hide();
                        blnValid = true;
                        break;
                    }
                }
                 
                if (!blnValid) {
                	$("#msg-invalidDokBA").show();
                    oInput.value = "";
                    return false;
                }
            }
        }
        return true;
    }
    
	$('.next').click(function(){
	  var nextId = $(this).parents('.tab-pane').next().attr("id");
	  $('[href="#'+nextId+'"]').tab('show');
	})
	$('.prev').click(function(){
	  var nextId = $(this).parents('.tab-pane').prev().attr("id");
	  $('[href="#'+nextId+'"]').tab('show');
	})

	$(".checkboxAll").click(function(e){
		var table= $(e.target).closest('table');
		$('td input:checkbox',table).prop('checked',this.checked);
	});

	$(document).on('click', '#fileupload', function(){
		$('#fileupload').fileupload({
		        url: '@{lelang.KualifikasiCtr.uploadPersyaratanLain(peserta?.psr_id)}',
		        dataType: 'json',
		        acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
		        done: function (e, data) {
		            $.each(data.result.files, function (index, file) {
						var content = '<a href="' + file.download_url + '"><i class="fa fa-download"></i> '+file.name+'</a> <a href="javascript:void(0)" class="removeDokDraft" versi="'+file.versi+'"><i class="fa fa-trash-o" ></i></a>';
		                $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
		            });
		            $('#progress').hide();
		        },
		        progressall: function (e, data) {
		            var progress = parseInt(data.loaded / data.total * 100, 10);
		            $('#progress').show();
		            $('#progress .progress-bar').css(
		                'width',
		                progress + '%'
		            );
		        }       
		    }).on('fileuploadprocessalways', function (e, data) {
		    	var file = data.files[data.index];
		    	if (data.files.error && file.error) {
		    	  var msg = file.name+' - '+file.error
			      $('#alert-upload').attr('class', 'alert alert-danger').html(msg)   
			    }       
		    }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
		})

	   $(document).on('click', '.removeDokDraft', function(){
	   	  var versi = $(this).attr('versi');
	   	  var parent = $(this).parent();
	      $.ajax({
			  type: 'POST', 
			  url: '@{lelang.KualifikasiCtr.hapusKualifikasiLainnyaDraft(peserta?.psr_id)}',
			  data : {'versi': versi},
			  success : function(){
			  	//alertSuccess.setMessage('&{'flash.ftbdh'}').open()
		  	 	parent.remove();
			  },
			  error : function(){
			  	//alertDanger.setMessage('&{'flash.ftdkdbh'}').open()
			  	alert('&{'flash.ftdkdbh'}');
			  }
		  })
	   });  
	
	   $(document).on('click', '.removeDok', function(){
	   	  var versi = $(this).attr('versi');
	   	  var parent = $(this).parent();
	      $.ajax({
			  type: 'POST', 
			  url: '@{lelang.KualifikasiCtr.hapusKualifikasiLainnya(peserta?.psr_id)}',
			  data : {'versi': versi},
			  success : function(){
			  	//alertSuccess.setMessage('&{'flash.ftbdh'}').open()
		  	 	parent.remove();
			  },
			  error : function(){
			  	//alertDanger.setMessage('&{'flash.ftdkdbh'}').open()
			  	alert('&{'flash.ftdkdbh'}');
			  }
		  })
	   });
</script>
#{/set}